%define debug_package %{nil}
%define common_desc \
The Tao Framework is a collection of bindings to facilitate cross-platform \
media application development.
%define devel_files This package contains development files.

Summary: Multimedia bindings for Mono
Name: taoframework
Version: 2.1.0
Release: 13%{?dist}
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.taoframework.com/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

# Don't build the tests or examples
Patch1: disable-tests.patch
# doc command don't work properly on mono >= 2.0, submitted upstream
Patch2: doc-fixes.patch
# fix dll maps for fedora
Patch3: configs-fedora.patch
#Don't build bindings that we can't support in fedora
Patch4: taoframework-makefile.patch

BuildRequires: mono-devel, autoconf, libtool, monodoc
ExclusiveArch: %{mono_arches}

%description
%{common_desc}


%package opengl
Group: Development/Libraries
Summary: The Tao Framework for Mono, OpenGL Bindings
Requires: mesa-libGL, mesa-libGLU

%description opengl
%{common_desc}
This package contains OpenGL Bindings

%package opengl-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, OpenGL Bindings development files
Requires: %{name}-opengl = %{version}-%{release}, pkgconfig

%description opengl-devel
%{common_desc}
%{devel_files}


%package openal
Group: Development/Libraries
Summary: The Tao Framework for Mono, OpenAL Bindings
Requires: openal, freealut

%description openal
%{common_desc}
This package contains OpenAL Bindings

%package openal-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, OpenAL Bindings development files
Requires: %{name}-openal = %{version}-%{release}, pkgconfig

%description openal-devel
%{common_desc}
%{devel_files}


%package freeglut
Group: Development/Libraries
Summary: The Tao Framework for Mono, freeglut Bindings
Requires: %{name}-opengl = %{version}, freeglut

%description freeglut
%{common_desc}
This package contains freeglut Bindings

%package freeglut-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, freeglut Bindings development files
Requires: %{name}-freeglut = %{version}-%{release}, pkgconfig

%description freeglut-devel
%{common_desc}
%{devel_files}


%package devil
Group: Development/Libraries
Summary: The Tao Framework for Mono, DevIL Bindings
Requires: DevIL, DevIL-ILUT

%description devil
%{common_desc}
This package contains DevIL Bindings

%package devil-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, DevIL Bindings development files
Requires: %{name}-devil = %{version}-%{release}, pkgconfig

%description devil-devel
%{common_desc}
%{devel_files}


#%package ffmpeg
#Group: Development/Libraries
#Summary: The Tao Framework for Mono, FFmpeg Bindings

#%description ffmpeg
#%{common_desc}
#This package contains FFmpeg Bindings

#%package ffmpeg-devel
#Group: Development/Libraries
#Summary: The Tao Framework for Mono, FFmpeg Bindings development files
#Requires: %{name}-ffmpeg = %{version}-%{release}, pkgconfig

#%description ffmpeg-devel
#%{common_desc}
#%{devel_files}


%package lua
Group: Development/Libraries
Summary: The Tao Framework for Mono, Lua Bindings
Requires: lua

%description lua
%{common_desc}
This package contains Lua Bindings

%package lua-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, Lua Bindings development files
Requires: %{name}-lua = %{version}-%{release}, pkgconfig

%description lua-devel
%{common_desc}
%{devel_files}


%package ode
Group: Development/Libraries
Summary: The Tao Framework for Mono, ODE Bindings
Requires: ode

%description ode
%{common_desc}
This package contains ODE Bindings

%package ode-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, ODE Bindings development files
Requires: %{name}-ode = %{version}-%{release}, pkgconfig

%description ode-devel
%{common_desc}
%{devel_files}


%package physfs
Group: Development/Libraries
Summary: The Tao Framework for Mono, PhysicsFS Bindings
Requires: physfs

%description physfs
%{common_desc}
This package contains PhysicsFS Bindings

%package physfs-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, PhysicsFS Bindings development files
Requires: %{name}-physfs = %{version}-%{release}, pkgconfig

%description physfs-devel
%{common_desc}
%{devel_files}


#%package sdl
#Group: Development/Libraries
#Summary: The Tao Framework for Mono, SDL Bindings
#Requires: SDL, SDL_image, SDL_gfx, SDL_mixer, SDL_net, SDL_ttf

#%description sdl
#%{common_desc}
#This package contains SDL Bindings

#%package sdl-devel
#Group: Development/Libraries
#Summary: The Tao Framework for Mono, SDL Bindings development files
#Requires: %{name}-sdl = %{version}-%{release}, pkgconfig

#%description sdl-devel
#%{common_desc}
#%{devel_files}


%package freetype
Group: Development/Libraries
Summary: The Tao Framework for Mono, FreeType Bindings
Requires: freetype

%description freetype
%{common_desc}
This package contains FreeType Bindings

%package freetype-devel
Group: Development/Libraries
Summary: The Tao Framework for Mono, FreeType Bindings development files
Requires: %{name}-freetype = %{version}-%{release}, pkgconfig

%description freetype-devel
%{common_desc}
%{devel_files}


#%package cg
#Group: Development/Libraries
#Summary: The Tao Framework for Mono, Cg Bindings

#%description cg
#%{common_desc}
#This package contains Cg Bindings

#%package cg-devel
#Group: Development/Libraries
#Summary: The Tao Framework for Mono, Cg Bindings development files
#Requires: %{name}-cg = %{version}-%{release}, pkgconfig

#%description cg-devel
#%{common_desc}
#%{devel_files}


%package doc
Group: Documentation
Summary: The Tao Framework for Mono, Documentation
Requires: monodoc

%description doc
%{common_desc}
This package contains MonoDoc documentation files.

%prep
%setup -q

%patch1 -b .disable-tests
%patch2 -b .fix-docs
%patch3 -p1 -b .fix-dll-maps
%patch4 -p1 -F 2 -b .fix-makefile

find -name '*.dll' -exec rm -f {} \;
find -name '*.exe' -exec rm -f {} \;

%build
pushd source
autoreconf -f -i
%configure --libdir=%{_prefix}/lib
#parallel build doesn't work
make
popd

%install
rm -rf %{buildroot}
pushd source
make install DESTDIR=%{buildroot}
popd
rm -rf %{buildroot}%{_prefix}/lib/mono/tao-platform-windows*
rm -rf %{buildroot}%{_prefix}/lib/mono/gac/Tao.Platform.Windows
rm -rf %{buildroot}%{_prefix}/lib/pkgconfig/tao-platform-windows*

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
test "%{_libdir}" = "%{_prefix}/lib" || mv $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}



%files opengl
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-opengl-2.1
%{_prefix}/lib/mono/tao-platform-x11-1.0
%{_prefix}/lib/mono/gac/Tao.OpenGl
%{_prefix}/lib/mono/gac/Tao.Platform.X11

%files opengl-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-opengl.pc
%{_libdir}/pkgconfig/tao-opengl-2.1.pc
%{_libdir}/pkgconfig/tao-platform-x11.pc
%{_libdir}/pkgconfig/tao-platform-x11-1.0.pc


%files openal
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-openal-1.1
%{_prefix}/lib/mono/gac/Tao.OpenAl

%files openal-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-openal.pc
%{_libdir}/pkgconfig/tao-openal-1.1.pc


%files freeglut
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-freeglut-2.4
%{_prefix}/lib/mono/gac/Tao.FreeGlut

%files freeglut-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-freeglut.pc
%{_libdir}/pkgconfig/tao-freeglut-2.4.pc


%files devil
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-devil-1.6
%{_prefix}/lib/mono/gac/Tao.DevIl

%files devil-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-devil.pc
%{_libdir}/pkgconfig/tao-devil-1.6.pc


#%files ffmpeg
#%defattr(-,root,root,-)
#%{_prefix}/lib/mono/tao-ffmpeg-0.4
#%{_prefix}/lib/mono/gac/Tao.FFmpeg

#%files ffmpeg-devel
#%defattr(-,root,root,-)
#%{_libdir}/pkgconfig/tao-ffmpeg.pc
#%{_libdir}/pkgconfig/tao-ffmpeg-0.4.pc


%files lua
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-lua-5.1
%{_prefix}/lib/mono/gac/Tao.Lua

%files lua-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-lua.pc
%{_libdir}/pkgconfig/tao-lua-5.1.pc


%files ode
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-ode-0.9
%{_prefix}/lib/mono/gac/Tao.Ode

%files ode-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-ode.pc
%{_libdir}/pkgconfig/tao-ode-0.9.pc


%files physfs
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-physfs-1.0
%{_prefix}/lib/mono/gac/Tao.PhysFs

%files physfs-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-physfs.pc
%{_libdir}/pkgconfig/tao-physfs-1.0.pc


#%files sdl
#%defattr(-,root,root,-)
#%{_prefix}/lib/mono/tao-sdl-1.2
#%{_prefix}/lib/mono/gac/Tao.Sdl

#%files sdl-devel
#%defattr(-,root,root,-)
#%{_libdir}/pkgconfig/tao-sdl.pc
#%{_libdir}/pkgconfig/tao-sdl-1.2.pc


%files freetype
%defattr(-,root,root,-)
%{_prefix}/lib/mono/tao-freetype-2.3
%{_prefix}/lib/mono/gac/Tao.FreeType

%files freetype-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/tao-freetype.pc
%{_libdir}/pkgconfig/tao-freetype-2.3.pc


#%files cg
#%defattr(-,root,root,-)
#%{_prefix}/lib/mono/tao-cg-2.0
#%{_prefix}/lib/mono/gac/Tao.Cg

#%files cg-devel
#%defattr(-,root,root,-)
#%{_libdir}/pkgconfig/tao-cg.pc
#%{_libdir}/pkgconfig/tao-cg-2.0.pc


%files doc
%defattr(-,root,root,-)
%{_prefix}/lib/monodoc/sources/Tao.source
%{_prefix}/lib/monodoc/sources/Tao.tree
%{_prefix}/lib/monodoc/sources/Tao.zip

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 20 2012 Jon Ciesla <limburgher@gmail.com> - 2.1.0-11
- Rebuild for new ode.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Paul Lange <palango@gmx.de> - 2.1.0-9
- Update patches for drop of libglfw

* Thu Jun 07 2012 Adam Jackson <ajax@redhat.com> 2.1.0-8
- Drop -glfw subpackage since libglfw has been retired.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Tom Callaway <spot@fedoraproject.org> - 2.1.0-6
- rebuild for physfs2

* Sat Nov 12 2011 Christian Krause <chkr@fedoraproject.org> - 2.1.0-5
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Fri Oct 21 2011 Dan Horák <dan[at]danny.cz> - 2.1.0-4
- update the supported arch list

* Thu Aug 25 2011 Paul Lange <palango@gmx.de> - 2.1.0-3
- Rebuilt

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 06 2009 Paul Lange <palango@gmx.de> - 2.1.0-1
- Initial packaging
